Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class ModalLensGraphMouse

    java.lang.Object
      edu.uci.ics.jung.visualization.control.PluggableGraphMouse
          edu.uci.ics.jung.visualization.control.AbstractModalGraphMouse
              edu.uci.ics.jung.visualization.control.ModalLensGraphMouse

All Implemented Interfaces:
  EventListener, ItemSelectable, ModalGraphMouse, MouseListener, MouseMotionListener, MouseWheelListener, VisualizationViewer.GraphMouse

public class ModalLensGraphMouse
extends AbstractModalGraphMouse
implements ModalGraphMouse

an implementation of the AbstractModalGraphMouse that includes plugins for manipulating a view that is using a LensTransformer.

Author:
  Tom Nelson - RABA Techologies

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.visualization.control.ModalGraphMouse
`ModalGraphMouse.Mode`

Field Summary
`protected LensMagnificationGraphMousePlugin` | `magnificationPlugin` not included in the base class

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractModalGraphMouse
`animatedPickingPlugin, in, listenerList, mode, modeBox, modeListener, modeMenu, out, pickingPlugin, rotatingPlugin, scalingPlugin, shearingPlugin, translatingPlugin`

Constructor Summary
`ModalLensGraphMouse()`
`ModalLensGraphMouse(float in, float out)`
`ModalLensGraphMouse(float in, float out, LensMagnificationGraphMousePlugin magnificationPlugin)`
`ModalLensGraphMouse(LensMagnificationGraphMousePlugin magnificationPlugin)`

Method Summary
`protected void` | `loadPlugins()` create the plugins, and load the plugins for TRANSFORMING mode

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractModalGraphMouse
`addItemListener, fireItemStateChanged, getItemListeners, getModeComboBox, getModeListener, getModeMenu, getSelectedObjects, removeItemListener, setMode, setPickingMode, setTransformingMode, setZoomAtMouse`

Methods inherited from class edu.uci.ics.jung.visualization.control.PluggableGraphMouse
`add, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.visualization.control.ModalGraphMouse
`getModeListener, setMode`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseDragged, mouseMoved`

Methods inherited from interface java.awt.event.MouseWheelListener
`mouseWheelMoved`

Field Detail

### magnificationPlugin

    protected LensMagnificationGraphMousePlugin magnificationPlugin

  not included in the base class

Constructor Detail

### ModalLensGraphMouse

    public ModalLensGraphMouse()

### ModalLensGraphMouse

    public ModalLensGraphMouse(float in,
                               float out)

### ModalLensGraphMouse

    public ModalLensGraphMouse(LensMagnificationGraphMousePlugin magnificationPlugin)

### ModalLensGraphMouse

    public ModalLensGraphMouse(float in,
                               float out,
                               LensMagnificationGraphMousePlugin magnificationPlugin)

Method Detail

### loadPlugins

    protected void loadPlugins()

  Description copied from class: `AbstractModalGraphMouse`
  create the plugins, and load the plugins for TRANSFORMING mode

  Specified by:
    `loadPlugins` in class `AbstractModalGraphMouse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD